Bug 808097 - Review Request: ima-tests - IMA Linux Test Project(LTP) test programs
Summary: Review Request: ima-tests - IMA Linux Test Project(LTP) test programs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-29 15:04 UTC by Paul Wouters
Modified: 2017-11-27 17:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-27 17:50:39 UTC


Attachments (Terms of Use)

Description Paul Wouters 2012-03-29 15:04:18 UTC
Spec URL: ftp://ftp.nohats.ca/ima/ima-tests.spec
SRPM URL: ftp://ftp.nohats.ca/ima/ima-tests-0.0-1.fc17.src.rpm
Description: The IMA test programs included in the LTP testsuite have a number of
LTP dependencies.  This tar creates the necessary includes, defines,
and stub function definitions in order to run the IMA programs in a
standalone mode.

Comment 1 Paul Wouters 2012-03-29 15:04:59 UTC
[paul@thinkpad ~]$ rpmlint /var/lib/mock/fedora-17-x86_64/result/ima-tests-*rpm  
ima-tests.src: W: spelling-error %description -l en_US testsuite -> test suite, test-suite, suite
ima-tests.x86_64: W: spelling-error %description -l en_US testsuite -> test suite, test-suite, suite
ima-tests.x86_64: W: no-manual-page-for-binary ima_measure
ima-tests.x86_64: W: no-manual-page-for-binary ima_mmap
ima-tests.x86_64: W: no-manual-page-for-binary ima_boot_aggregate
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 2 Jason Tibbitts 2013-05-02 01:43:58 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

spec and srpm links are invalid.

Comment 3 Paul Wouters 2014-05-13 21:33:52 UTC
The ftp server links have been fixed - it was due to a disk mount missing

Comment 4 Upstream Release Monitoring 2015-12-06 18:25:42 UTC
pbrobinson's scratch build of linux-user-chroot?#b7afe5173cbd31b029b027b6f8a14baa5e6ce87a for epel7-archbootstrap and git://pkgs.fedoraproject.org/linux-user-chroot?#b7afe5173cbd31b029b027b6f8a14baa5e6ce87a failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12089939

Comment 5 Orion Poplawski 2017-03-11 03:50:53 UTC
This is quite stale - many aspects could be cleaned up (no %clean, %defattr, etc).  Please update if you wish to continue.

Comment 6 Paul Wouters 2017-11-27 17:50:39 UTC
I havent worked on IMA stuff in many years. If anyone else wants to pick this up, please start fresh from more recent code.


Note You need to log in before you can comment on or make changes to this bug.